List uploaded images and documents with their paths.
List uploaded images and documents with their paths.
GET
https://app.softsolz.uk/api/v1/services/site-builder/projects/{id}/assetsRecent Requests
Log in to see full request historyTimeStatusUser Agent
Make a request to see history.
Path Params
idstringrequiredHeaders
AuthorizationstringrequiredBearer token: `Bearer sk_live_...` (or `sk_test_...` for sandbox). A login token will not work here.
Response
Response Body · array of objects
pathstringPath to reference from pages, under assets/.sizeinteger | nullBytes stored.urlstring | nullSigned preview URL of the asset.Request
import { SoftSolz } from '@softsolz/sdk';
const client = new SoftSolz({ apiKey: process.env.SOFTSOLZ_API_KEY });
const result = await client.siteBuilder.getProjectAssets('<id>');console.log(result);Credentials
Sent as a Bearer token. Stored only in your browser.
Response · 200
{ "data": [ { "path": "string", "size": 0, "url": "string" } ]}